Subject: bug#66567: [PATCH] use-package: Add ignored-files support to :vc keyword

From: Tony Zorman <[email-masked]>
Date: Thu, 02 May 2024 20:57:41 +0200

On Thu, Nov 16 2023 07:32, Philip Kaludercic wrote:
> Tony Zorman <[email-masked]> writes:
>
>> On Tue, Nov 07 2023 21:24, Philip Kaludercic wrote:
>>> Tony Zorman <[email-masked]> writes:
>>>> Now I'm a bit confused: where exactly? Inside of use-package or
>>>> package-vc? Either way, I think raising an error when the user inputs
>>>> nonsense is totally justified—I'd just like that error to be
>>>> understandable as quickly as possible.
>>>
>>> I was thinking that package-vc should emit an error, but that
>>> use-package could emit a warning, in case a new keyword is added to
>>> package-vc specifications but hasn't yet been added to the use-package
>>> layer -- mainly because I don't use the latter and am not that familiar
>>> with the code.
>>
>> On first thought this sounds good, but I think one would end up having
>> to sync the actual state of things in two places. What if package-vc.el
>> had a place where it stored all available commands? Then the use-package
>> integration could just use that. I think it would also be easier to have
>> this codified somewhere, rather than having to check the manual every
>> time.
>
> This sounds like a better solution, I can add a constant with all the
> symbols that you can then use.  I am still a bit busy, so I cannot
> promise when I'll manage to do so, but I'll ping you when the changes
> have been pushed.

Can I perhaps bump this myself instead? :)

I'd really like to see this merged; if it helps move things along a
bit quicker, I can also make the necessary changes to package-vc.el.

  Tony

-- 
Tony Zorman | https://tony-zorman.com/